package AccordionDrawer;

/**
 * SortedCell is a helper class for AccordionDrawer. It's used in a
 * sortedSet in conjunction with the splitCells data structure, to
 * which it contains indices. The difference is that this one is
 * sorted (separately in X and Y), so that it can be used for binary
 * search.
 * 
 * We use the values of the cell positions at initialization time for
 * the sorting. Although we can never use these again as actual
 * positions, because those change with user interaction, the
 * *relative* placement can never change.
 * 
 * @author Tamara Munzner
 * @see AccordionDrawer.AccordionDrawer */

class SortedCell { // implements Comparable {

//    /**
//    * Value of cell position at initialization time. Only used for
//    * sorting. Should never be accessed externally. 
//    */
//    private double value;
//    /** 
//     * Index of cell in original splitCells array
//     */
//    int origindex;
//
//
//    SortedCell(int oindex, double val) {
//	value = val;
//	origindex = oindex;
//    }
//
//    void print() {
//	System.out.println("sc value: " + value);
//    }
//
//    // implement Comparable interface - sort on value field
//    public int compareTo(Object o) { 
//	if (value == ((SortedCell)o).value) return 0;
//	else if (value < ((SortedCell)o).value) return -1;
//	else return 1;
//    };
//    public boolean equals(Object o) {
//	if (((SortedCell)o).value == value) {
//	    return true;
//	} else {
//	    return false;
//	}
//    }
}
